%define	svn	0

%define	build_ical	1
%define	build_gringotts	0
%define	build_syncml	0

%define name	osmo
%define version	0.2.4
%define	rel	3

%if %{svn}
%define	release	%mkrel %{rel}.%{svn}
%define	dstname	%{name}-%{svn}
%else
%define	dstname	%{name}-%{version}
%define	release	%mkrel %{rel}
%endif

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Personal Information Manager
Source0:	%{dstname}.tar.gz
URL:            http://sourceforge.net/projects/osmo-pim
Packager:	KDulcimer <kdulcimer@gmail.com>
Group:		Applications/Productivity
License:	GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}

BuildRequires:	libgtk+2.0_0
BuildRequires:	libxml2-devel
BuildRequires:	libnotify-devel >= 0.4.4

%if %{build_ical}
BuildRequires:	libical0-devel >= 0.33
Requires:	libical0
%define	ical	with-libical
%else
%define	ical	without-libical
%endif

%if %{build_gringotts}
BuildRequires:	libgringotts-devel
Requires:	libgringotts
%define	gringotts	with-gringotts
%else
%define	gringotts	without-gringotts
%endif

%if %{build_syncml}
BuildRequires:	libsyncml0-devel
Requires:	libsyncml0
%define	syncml	with-libsyncml
%else
%define	syncml	without-libsyncml
%endif

%description
Osmo is a handy personal organizer, which includes calendar, tasks manager and
address book modules. It was designed to be a small, easy to use and good
looking PIM tool to help to manage personal information. In its current state the
organizer is quite convenient to use - for example, the user can perform nearly all
operations using the keyboard. Also, a lot of parameters are configurable to meet
the user's preferences. On the technical side, Osmo is GTK+ based tool which uses
a plain XML database to store all personal data.

Currently, Osmo has the following features:

    * Calendar:
          o note per day
          o day notes browser
          o arbitrary coloring of the days with notes
          o date calculator
          o built-in full year calendar
          o easy navigation
          o compact mode
          o auxiliary calendars for next and previous month
          o handy popup menu for month change
          o basic iCalendar support (import/export)
          o integration with Tasks and Contacts modules
    * Tasks:
          o advanced reminder
          o tasks list printing
          o category filter
          o priority per task
          o due date modification on the fly
          o date dependent task coloring
          o hide/unhide complete tasks
    * Contacts:
          o robust search functionality
          o photo support
          o birthdays browser
          o import/export support for CSV files
          o optional export to XHTML format
    * Notes:
          o handy notes selector
          o category filter
          o encryption using user-defined password per note
          o many text attributes (italic, bold, underline, etc.)

%package i10n
Summary:    	Internationalisation files for %{name}
Group:      	%{group}
Requires:   	%{name}

%description i10n
Internationalisation files for %{name}

%prep
%setup -q -n %{dstname}
rm -rf $RPM_BUILD_ROOT

%build
%if %{svn}
%__chmod 755 autogen.sh
./autogen.sh
%endif

%configure	--%{ical} \
		--%{gringotts} \
		--%{syncml}

%make

%install
rm -rf $RPM_BUILD_ROOT
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install

desktop-file-install --vendor="" \
  --remove-category="GTK" \
  --remove-category="Office" \
  --remove-category="Calendar" \
  --remove-category="ContactManagement" \
  --add-category="X-MandrivaLinux-Office-TimeManagement" \
  --add-category="X-MandrivaLinux-Office-TasksManagement" \
  --add-category="X-MandrivaLinux-Office-AddressBooks" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.bz2
%{_datadir}/pixmaps/%{name}.*

%files i10n
%defattr(-,root,root,-)
%{_datadir}/locale/*

%changelog
* Fri Feb 12 2009 KDulcimer <kdulcimer@gmail.com> 0.2.4-3tinyme2008
- fix menu

* Thu Jan 07 2009 KDulcimer <kdulcimer@gmail.com> 0.2.4-2tinyme2008
- remove libsyncml and gringotts support

* Sun Jan 04 2009 KDulcimer <kdulcimer@gmail.com> 0.2.4-1tinyme2008
- Initial build
